<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>KHS LIST</title>
</head>
<body>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>KHS List</h2>
                                        <p></p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-xs-12">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-md-12 col-xs-12">
                <div class="alert alert-info">
                    <b>Info : To see task detail score, Please click the task score</b>
                </div>
            </div>
            <div class="col-md-12 col-xs-12">
                <div class="normal-table-list mg-t-30">
                    <div class="basic-tb-hd">
                        <h2>Data KHS</h2>
                    </div>
                    <div class="bsc-tbl-st">
                        <div class="row">
                            <div class="col-md-6"></div>
                            <div class="col-md-6 col-xs-12">
                                <form method="get">
                                    <div class="col-md-10 col-xs-12">
                                        <div class="form-group">
                                            <select name="tahunAkademik" id="" class="form-control">
                                                <option th:each="data : ${tahun}"
                                                        th:text="${data.namaTahunAkademik}"
                                                        th:selected="(${data} == *{selectedTahun})"
                                                        th:value="${data.id}">2019
                                                </option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-2 col-xs-12">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary">Cari</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                        <div class="alert alert-warning" th:if="${khs == null && hidden == null}">
                            <center>
                                <strong>
                                    Tidak ada data untuk ditampilkan
                                </strong>
                            </center>
                        </div>

                        <div class="alert alert-warning" th:if="${hidden != null}">
                            <center>
                                <strong th:text="${hidden}">

                                </strong>
                            </center>
                        </div>
                        <div class="table-responsive" th:if="${selectedTahun != null && khs != null}">
                            <table class="table table-striped">
                                <tr>
                                    <th>No</th>
                                    <th>Code</th>
                                    <th>Matakuliah</th>
                                    <th>Presensi</th>
                                    <th>Task</th>
                                    <th>Mid Term</th>
                                    <th>End Semester Exam</th>
                                    <th>Total</th>
                                    <th>SKS</th>
                                    <th>Weight</th>
                                    <th>Grade</th>
                                </tr>
                                <tr th:each="data,row : ${khs}" >
                                    <td th:text="${(row.index + 1)}"></td>
                                    <td th:text="${data.kode}"></td>
                                    <td th:text="${data.matakuliah}"></td>
                                    <td th:text="${data.presensi}"></td>
                                    <td>
                                        <button data-toggle="modal" th:data-target="${'#myModalfour'+data.id}" style="background-color: white;border: 2px solid #4285f4; padding: 5px; border-radius: 10px;" th:text="${data.tugas}">
                                            0.00
                                        </button>
                                        <div class="modal animated bounce" th:id="${'myModalfour'+data.id}" role="dialog">
                                            <div class="modal-dialog modals-default">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="table-responsive">
                                                            <table class="table table-striped">
                                                                <tr>
                                                                    <th>Nama Tugas</th>
                                                                    <th>Nilai</th>
                                                                </tr>
                                                                <tr th:each="item : ${tugas}" th:if="${data.id == item.id}">
                                                                    <td th:text="${'Task ' +item.nama}">Matematika</td>
                                                                    <td th:text="${item.nilai}">10</td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td >
                                        <button data-toggle="modal" th:data-target="${'#myModaluts'+data.id}" style="background-color: white;border: 2px solid #4285f4; padding: 5px; border-radius: 10px;" th:text="${data.uts}">
                                            0.00
                                        </button>
                                        <div class="modal animated bounce" th:id="${'myModaluts'+data.id}" role="dialog">
                                            <div class="modal-dialog modals-default">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="table-responsive">
                                                            <table class="table table-striped">
                                                                <tr>
                                                                    <th>Nama UTS</th>
                                                                    <th>Nilai</th>
                                                                </tr>
                                                                <tr th:each="item : ${uts}" th:if="${data.id == item.id}">
                                                                    <td th:text="${'Task ' +item.nama}">Matematika</td>
                                                                    <td th:text="${item.nilai}">10</td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td >
                                        <button data-toggle="modal" th:data-target="${'#myModaluas'+data.id}" style="background-color: white;border: 2px solid #4285f4; padding: 5px; border-radius: 10px;" th:text="${data.uas}">
                                            0.00
                                        </button>
                                        <div class="modal animated bounce" th:id="${'myModaluas'+data.id}" role="dialog">
                                            <div class="modal-dialog modals-default">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="table-responsive">
                                                            <table class="table table-striped">
                                                                <tr>
                                                                    <th>Nama UAS</th>
                                                                    <th>Nilai</th>
                                                                </tr>
                                                                <tr th:each="item : ${uas}" th:if="${data.id == item.id}">
                                                                    <td th:text="${'Task ' +item.nama}">Matematika</td>
                                                                    <td th:text="${item.nilai}">10</td>
                                                                </tr>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                    <td th:text="${data.nilaiAkhir}"></td>
                                    <td th:text="${data.sks}"></td>
                                    <td th:text="${data.bobot}"></td>
                                    <td th:text="${data.grade}"></td>
                                </tr>
                                <tr>
                                    <th colspan="3"><center><h5><b>IP Semester</b></h5></center></th>
                                    <th><h5><b>:</b></h5></th>
                                    <th colspan="1"><h5><b th:text="${ip.ipk}">21</b></h5></th>
                                    <th colspan="3"><center><h5><b>IPK</b></h5></center></th>
                                    <th><h5><b>:</b></h5></th>
                                    <th colspan="1"><h5><b th:text="${ipk.ipk}">21</b></h5></th>
                                </tr>



                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
</body>

<!-- jQuery and Bootstrap JS -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</html>